"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/wrap.tsx
var wrap_exports = {};
__export(wrap_exports, {
  CWrap: () => CWrap,
  CWrapItem: () => CWrapItem,
  wrapProps: () => wrapProps
});
module.exports = __toCommonJS(wrap_exports);
var import_vue = require("vue");
var import_utils = require("@chakra-ui/utils");
var import_vue_system = require("@chakra-ui/vue-system");
var import_vue_utils = require("@chakra-ui/vue-utils");
var import_styled_system = require("@chakra-ui/styled-system");
var import_vue2 = require("vue");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var wrapProps = {
  spacing: import_vue_utils.SNAO,
  justify: import_vue_utils.SNAO,
  align: import_vue_utils.SNAO,
  direction: import_vue_utils.SNAO,
  shouldWrapChildren: import_vue_utils.SNAO
};
var CWrap = (0, import_vue2.defineComponent)({
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    ...wrapProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue2.computed)(() => ({
      "--chakra-wrap-spacing": (theme) => (0, import_utils.mapResponsive)(props.spacing, (value) => (0, import_styled_system.tokenToCSSVar)("space", value)(theme)),
      "--wrap-spacing": "calc(var(--chakra-wrap-spacing) / 2)",
      display: "flex",
      flexWrap: "wrap",
      justifyContent: props.justify,
      alignItems: props.align,
      flexDirection: props.direction,
      listStyleType: "none",
      padding: "0",
      margin: "calc(var(--wrap-spacing) * -1)",
      "& > *:not(style)": {
        margin: "var(--wrap-spacing)"
      }
    }));
    const childrenToRender = props.shouldWrapChildren ? (0, import_vue_utils.getValidChildren)(slots).map((child, index) => (0, import_vue.createVNode)(CWrapItem, {
      "key": index
    }, _isSlot(child) ? child : {
      default: () => [child]
    })) : slots;
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
        "as": props.as,
        "__label": "wrap"
      }, attrs), {
        default: () => (0, import_vue.createVNode)(import_vue_system.chakra.ul, {
          "__label": "wrap__list",
          "__css": styles.value
        }, _isSlot(childrenToRender) ? childrenToRender : {
          default: () => [childrenToRender]
        })
      });
    };
  }
});
CWrap.name = "CWrap";
var CWrapItem = (0, import_vue2.defineComponent)({
  setup(_, {
    attrs,
    slots
  }) {
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.li, (0, import_vue.mergeProps)({
        "__label": "wrap__listItem",
        "__css": {
          display: "flex",
          alignItems: "flex-start"
        }
      }, attrs), {
        default: () => (0, import_vue_utils.getValidChildren)(slots)
      });
    };
  }
});
CWrapItem.name = "CWrapItem";
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CWrap,
  CWrapItem,
  wrapProps
});
